> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List bulk send batch summaries

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/bulk_send_batch

Returns a summary of bulk send batches.

Use the `batch_ids` query parameter to narrow the list of batches.

You must specify exactly one of the following query parameters to get back a list of batch summaries:

| Parameter | Description |
| --- | --- |
| `from_date` | A valid UTC DateTime: `2016-01-01` |
| `batch_ids` | A comma-separated list of batch IDs to query. |

If neither query parameter is provided, a high-level, account-wide, overall bulk send status report is returned.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/bulkenvelopes/bulksend/getbulksendbatches

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.

### Query parameters

- `batch_ids` (string, optional) — A comma-separated list of batch IDs to query.
- `count` (string, optional) — The maximum number of results to return. Use `start_position` to specify the number of results to skip. Valid values: `1` to `100` Default: `100`
- `from_date` (string, optional) — Required. The start date for a date range in UTC DateTime format.
- `search_text` (string, optional) — Use this parameter to search for specific text.
- `start_position` (string, optional) — The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
- `status` (string, optional) — The kind of results to collect. Must be one of: - all - failed - sent - queued
- `to_date` (string, optional) — The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. **Note:** If this property is null, the value defaults to the current date.
- `user_id` (string, optional)

## Response

### 200

Successful response.

- `batchSizeLimit` (string, optional) — The maximum number of envelopes the account is permitted to submit in a given batch.
- `bulkBatchSummaries` (list of bulkSendBatchSummary, optional) — An array of batch summaries.
- `bulkProcessQueueLimit` (string, optional)
- `bulkProcessTotalQueued` (string, optional)
- `endPosition` (string, optional) — The last index position in the result set.
- `nextUri` (string, optional) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `previousUri` (string, optional) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `queueLimit` (string, optional) — Maximum number of envelopes an account is permitted to have in the queue at any one time.
- `resultSetSize` (string, optional) — The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the `totalSetSize`.
- `startPosition` (string, optional) — The starting index position of the current result set.
- `totalQueued` (string, optional) — The number of envelopes currently pending processing for the entire account.
- `totalSetSize` (string, optional) — The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### bulkSendBatchSummary

Summary status of a single batch.

- `action` (string, optional)
- `actionStatus` (string, optional)
- `batchId` (string, optional) — The batch ID.
- `batchName` (string, optional) — The name of the batch.
- `batchSize` (string, optional) — The number of envelopes in the batch.
- `batchUri` (string, optional) — The batch details URI.
- `failed` (string, optional) — Number of envelopes that failed to send.
- `queued` (string, optional) — Number of envelopes peding processing.
- `sent` (string, optional) — Number of envelopes that have been sent.
- `submittedDate` (string, optional) — The time stamp of when the batch was created in ISO 8601 format.

## Examples

**Response**

```json
{
  "batchSizeLimit": "sample string 1",
  "bulkBatchSummaries": [
    {
      "action": "sample string 1",
      "actionStatus": "sample string 2",
      "batchId": "sample string 3",
      "batchName": "sample string 4",
      "batchSize": "sample string 5",
      "batchUri": "sample string 6",
      "failed": "sample string 7",
      "queued": "sample string 8",
      "sent": "sample string 9",
      "submittedDate": "sample string 10"
    }
  ],
  "bulkProcessQueueLimit": "sample string 2",
  "bulkProcessTotalQueued": "sample string 3",
  "endPosition": "sample string 4",
  "nextUri": "sample string 5",
  "previousUri": "sample string 6",
  "queueLimit": "sample string 7",
  "resultSetSize": "sample string 8",
  "startPosition": "sample string 9",
  "totalQueued": "sample string 10",
  "totalSetSize": "sample string 11"
}
```